/**************************************************************************************************
HTML Elements 
**************************************************************************************************/

a:link {
   color: #337F85;
   text-decoration: none;
}

a:visited {
   color: #337F85;
}

a:active {
   color: #337F85;
   text-decoration: none;
}

a:hover {
   color: #337F85;
   text-decoration: underline;
}

/* These elements require class="disabled", compared to <input disabled> approach for input controls. */
a.disabled, div.disabled, label.disabled, span.disabled {
   color: #888;
   cursor: default;
}

   a.disabled:hover {
      color: #888;
      cursor: default;
      text-decoration: none;
   }

body {
   background-color: #FFF;
   color: #000;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
}

hr {
   border: #ccc 1px dashed;
   border-style: none none dashed;
   color: #FFF;
   margin: 7px 0;
}

/*************
Buttons
**************/

input[type=button], input[type=submit],
input[type=button].ButtonSecondary, .ButtonSecondary,
.Button, button {
   -moz-border-radius: 6px;
   -ms-name: "Button Link";
   -pie-background: linear-gradient(#358087, #5D999F);
   -pie-border-radius: 6px;
   -pie-png-fix: true;
   -pie-watch-ancestors: 1;
   -webkit-border-radius: 6px;
   background: -moz-linear-gradient(top, #358087, #5D999F);
   background: -ms-linear-gradient(top, #358087, #5D999F);
   background: -o-linear-gradient(top, #358087, #5D999F);
   background: -webkit-gradient(linear, 0 0, 0 100%, from(#358087), to(#5D999F));
   background: -webkit-linear-gradient(top, #358087, #5D999F);
   background: linear-gradient(#358087, #5D999F);
   behavior: url('/images/backgrounds/PIE.htc');
   border-radius: 6px;
   border: 1px transparent;
   box-sizing: border-box;
   color: #FFF;
   cursor: pointer;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   font-weight: bold;
   margin: 0 3px;
   padding: 4px 10px;
   position: relative;
   text-decoration: none !important;
   vertical-align: text-bottom;
}

   input[type=button]:hover, input[type=submit]:hover,
   input[type=button].ButtonSecondary:hover, .ButtonSecondary:hover,
   .Button:hover, button:hover {
      -pie-background: linear-gradient(#5D999F, #358087);
      background: -moz-linear-gradient(top, #5D999F, #358087);
      background: -ms-linear-gradient(top, #5D999F, #358087);
      background: -o-linear-gradient(top, #5D999F, #358087);
      background: -webkit-gradient(linear, 0 0, 0 100%, from(#5D999F), to(#358087));
      background: -webkit-linear-gradient(top, #5D999F, #358087);
      background: linear-gradient(#5D999F, #358087);
   }

   input[type=button].ButtonMedium, input[type=submit].ButtonMedium, .Button.ButtonMedium {
      -moz-border-radius: 4px;
      -pie-border-radius: 4px;
      -webkit-border-radius: 4px;
      border-radius: 4px;
      height: 19px;
      line-height: 1.2em;
      padding: 2px 10px;
   }

   input[type=button].ButtonAlternateColor, input[type=submit].ButtonAlternateColor, .Button.ButtonAlternateColor {
      -pie-background: linear-gradient(#DD6600, #FD9B1B);
      background: -moz-linear-gradient(top, #DD6600, #FD9B1B);
      background: -ms-linear-gradient(top, #DD6600, #FD9B1B);
      background: -o-linear-gradient(top, #DD6600, #FD9B1B);
      background: -webkit-gradient(linear, 0 0, 0 100%, from(#DD6600), to(#FD9B1B));
      background: -webkit-linear-gradient(top, #DD6600, #FD9B1B);
      background: linear-gradient(#DD6600, #FD9B1B);
      border: 1px transparent;
   }

      input[type=button].ButtonAlternateColor:hover, input[type=submit].ButtonAlternateColor:hover, .Button.ButtonAlternateColor:hover {
         -pie-background: linear-gradient(#FD9B1B, #DD6600);
         background: -moz-linear-gradient(top, #FD9B1B, #DD6600);
         background: -ms-linear-gradient(top, #FD9B1B, #DD6600);
         background: -o-linear-gradient(top, #FD9B1B, #DD6600);
         background: -webkit-gradient(linear, 0 0, 0 100%, from(#FD9B1B), to(#DD6600));
         background: -webkit-linear-gradient(top, #FD9B1B, #DD6600);
         background: linear-gradient(#FD9B1B, #DD6600);
      }

   input[type=button]:disabled, input[type=button]:disabled, input[type=submit]:disabled,
   input[type=button].ButtonMedium:disabled,
   .Button:disabled, .Button:disabled {
      background-color: #888;
      border-color: #888;
      background-image: none;
      cursor: default;
   }

   input[type=button].ButtonSecondary, .ButtonSecondary {
      -pie-background: linear-gradient(#AECCCF, #C2D9DB);
      background: -moz-linear-gradient(top, #AECCCF, #C2D9DB);
      background: -ms-linear-gradient(top, #AECCCF, #C2D9DB);
      background: -o-linear-gradient(top, #AECCCF, #C2D9DB);
      background: -webkit-gradient(linear, 0 0, 0 100%, from(#AECCCF), to(#C2D9DB));
      background: -webkit-linear-gradient(top, #AECCCF, #C2D9DB);
      color: #358087;
   }

      input[type=button].ButtonSecondary:hover, .ButtonSecondary:hover {
         -pie-background: linear-gradient(#C2D9DB, #AECCCF);
         background: -moz-linear-gradient(top, #C2D9DB, #AECCCF);
         background: -ms-linear-gradient(top, #C2D9DB, #AECCCF);
         background: -o-linear-gradient(top, #C2D9DB, #AECCCF);
         background: -webkit-gradient(linear, 0 0, 0 100%, from(#C2D9DB), to(#AECCCF));
         background: -webkit-linear-gradient(top, #C2D9DB, #AECCCF);
         color: #358087;
      }

      input[type=button].ButtonSecondary:disabled, .ButtonSecondary:disabled {
         background-color: #A6A6A6;
         border-color: #A6A6A6;
         background-image: none;
         color: #FFF;
         cursor: default;
      }

/*************
Checkboxes
**************/
input[type=checkbox], input[type=radio] {
   margin: 3px 3px 0 0 !important;
   padding: 0 !important;
   position: relative;
   top: -3px;
   vertical-align: text-bottom;
}

   input[type=checkbox] + label, input[type=radio] + label, span.SpanLabel {
      position: relative;
      top: -3px;
      white-space: nowrap;
   }

/*************
Text boxes
**************/
input[type=text] {
   background-color: #FFF;
   border: 1px solid #828282;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   height: 15px;
   line-height: normal;
   padding-left: 2px;
   vertical-align: text-bottom;
}

   input[type=text]:disabled {
      background-color: #E7E7E7;
   }

/*************
Select boxes
**************/

select {
   background-color: #FFF;
   color: #000;
   border: 1px solid #828282;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   height: 19px;
   line-height: normal;
   vertical-align: text-bottom;
}

   select:disabled {
      background-color: #E7E7E7;
   }

/*************
Tables
**************/

td {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
}

textarea {
   background-color: #FFF;
   border: 1px solid #828282;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   line-height: 1.2em;
   padding-left: 2px;
   resize: none;
}

th {
   font-family: Arial, Helvetica, sans-serif;
   font-weight: bold;
   font-size: 11px;
   text-align: center;
}

/**************************************************************************************************
Traditional CSS Classes
**************************************************************************************************/

.CloseButton, .CloseButtonLight {
   background-image: url(/images/Buttons/CloseNormal.png);
   background-repeat: no-repeat;
   cursor: pointer;
   float: right;
   height: 12px;
   margin-top: 4px;
   width: 15px;
}

   .CloseButton:hover, .CloseButtonLight:hover {
      background-image: url(/images/Buttons/CloseHover.png);
   }

.CloseButtonLight {
   background-image: url(/images/Buttons/CloseLight.png);
}

.CollapsePanel {
   background-color: #FFF;
   float: left;
   overflow: hidden;
}

.CollapsePanelHeader {
   background: #C9C9C9;
   border: 1px solid #A6A6A6;
   font-weight: bold;
   height: 25px;
   margin-bottom: 2px;
   margin-top: 2px;
}

.Confirmation {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   font-weight: bold;
   color: #1C761C;
}

.ErrTxt {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   font-weight: bold;
   color: #821414;
}

.ErrTxtSmall {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 10px;
   font-weight: bold;
   color: #821414;
}

.faux-link {
   color: #337F85;
}

   .faux-link:hover {
      cursor: pointer;
      text-decoration: underline;
   }

   .faux-link:disabled:hover {
      cursor: default;
   }

/* Grayscale is maintained for partial legacy support, but is now equivalent to Inactive, which should be used instead.
      Note that Grayscale cannot be used for images as in the past (the old Grayscale worked only in IE7 and IE8) */
.Grayscale {
   color: #AAA;
}

.Halftone {
   filter: alpha(opacity=33);
   opacity: .33;
}

.Inactive {
   color: #AAA;
}

.LabelTxt {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   display: inline;
}

.MultiPage {
   border: solid 2px #358087;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.PanelBottom {
   border: solid 2px #358087;
   border-top: solid 1px #358087;
   background: WhiteSmoke;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.PanelCenterHoriz {
   border: solid 2px #358087;
   border-left: none 0;
   border-right: none 0;
   background: WhiteSmoke;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.PanelCenterVert {
   border: solid 2px #358087;
   border-bottom: 0;
   border-top: 0;
   background: WhiteSmoke;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.PanelLeft {
   border: solid 2px #358087;
   border-right: solid 1px #358087;
   background: WhiteSmoke;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.PanelRight {
   border: solid 2px #358087;
   border-left: solid 1px #358087;
   background: WhiteSmoke;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.PanelTitleBar {
   background-color: #C2D9DB;
}

.PanelTop {
   border: solid 2px #358087;
   border-bottom: solid 1px #358087;
   background: WhiteSmoke;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 12px;
   color: #000;
   padding: 3px 3px 3px 3px;
}

.Shadow {
   -moz-box-shadow: 2px 2px 6px 2px #444;
   -webkit-box-shadow: 2px 2px 6px 2px #444;
   box-shadow: 2px 2px 6px 2px #444;
}

.warning-text {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 11px;
   font-weight: bold;
   color: #DE6600;
}

.YL_HelpText {
   font-size: 12px;
}

.YL_SectionHeading {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 16px !important;
   font-weight: bold;
   color: #DE6600;
}

.YL_SubSectionHeading {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 14px !important;
   font-weight: bold;
   color: #DE6600;
}

.YL_Title {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 16px !important;
   font-weight: bold;
   color: #358087;
}

.YL_SubTitle {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 14px !important;
   font-weight: bold;
   color: #358087;
}

.YL_VerySmall {
   font-family: Arial, Helvetica, sans-serif;
   font-size: 9px !important;
   color: #000;
}

/**************************************************************************************************
AJAX Calendar Default Style
**************************************************************************************************/

/* GRH: lines changed from original AJAX control CSS are marked; control is supposed to revert to defaults if not specified, but reversion doesn't appear to work. */
.AJAXCalendar .ajax__calendar_container {
   border: 1px solid #358087; /* GRH */
   background-color: #FFF;
   color: #000;
   font-family: Arial, Helvetica, sans-serif; /* GRH */
}

.AJAXCalendar .ajax__calendar_header /* GRH */ {
   border-bottom: 1px solid #DDD;
}

.AJAXCalendar .ajax__calendar_footer {
   border-top: 1px solid #DDD; /* GRH */
}

.AJAXCalendar .ajax__calendar_dayname {
   border-bottom: 1px solid #FFF; /* GRH */
}

.AJAXCalendar .ajax__calendar_day, .AJAXCalendar .ajax__calendar_month, .AJAXCalendar .ajax__calendar_year {
   border: 1px solid #FFF;
}

.AJAXCalendar .ajax__calendar_active .ajax__calendar_day, .AJAXCalendar .ajax__calendar_active .ajax__calendar_month, .AJAXCalendar .ajax__calendar_active .ajax__calendar_year {
   background-color: Highlight; /* GRH */
   border-color: Highlight; /* GRH */
   color: HighlightText; /* GRH */
}

.AJAXCalendar .ajax__calendar_other .ajax__calendar_day, .AJAXCalendar .ajax__calendar_other .ajax__calendar_year {
   background-color: #FFF;
   border-color: #FFF;
   color: #808080; /* GRH */
}

.AJAXCalendar .ajax__calendar_hover .ajax__calendar_day, .AJAXCalendar .ajax__calendar_hover .ajax__calendar_month, AJAXCalendar .ajax__calendar_hover .ajax__calendar_year {
   background-color: #E4E4CB; /* GRH */
   border-color: #4682B4; /* GRH */
   color: #000; /* GRH */
}

.AJAXCalendar .ajax__calendar_hover .ajax__calendar_title, .AJAXCalendar .ajax__calendar_hover .ajax__calendar_today {
   color: #358087; /* GRH */
}





/* 
   GRH: THE ORIGINAL STYLES BELOW ARE DISABLED.
   AS ITEMS ARE ADDED BACK TO STYLESHEET, MOVE THE ITEMS TO ABOVE, IN ALPHA ORDER.
   WHEN ALL APPS DONE, REMOVE UNUSED STYLES. 
*/

@media DISABLED {
   OPTION {
   }

      OPTION.ErrTxt {
         color: #821414;
         background-color: #FFF;
      }

      OPTION.Header {
         color: #FFF;
         background-color: #666666;
      }

      OPTION.Item {
         background-color: #FFF;
      }

      OPTION.NewItem {
         color: #DE6600;
         background-color: #FFF;
      }

   .DashLineBlack {
      border: dashed #000;
      border-width: 1px 0 0;
   }

   .DivTxt {
      font-family: Arial, Helvetica, sans-serif;
      font-size: 11px;
   }

   .FooterCopyright {
      font: 11px Arial, Helvetica, sans-serif;
      color: #828282;
   }

   .FooterLinks:link {
      font: bold 10px Arial, Helvetica, sans-serif;
      color: #666633;
      text-decoration: underline;
   }

   .FooterLinks:visited {
      color: #666633;
   }

   .FooterLinks:active {
      color: #666633;
      text-decoration: none;
   }

   .Inset {
      background-color: #DDD;
      border-width: 1px;
      border-style: inset;
   }

   .Mouseover {
      cursor: pointer;
   }

   .ReportAlternatingItem {
      background-color: #D3D3D3;
   }

   .ReportDataGrid {
      border-collapse: collapse;
      border: 1px solid #828282;
   }

      .ReportDataGrid TD, .ReportDataGrid TH {
         border-collapse: collapse;
         padding-bottom: 1px;
         padding-left: 2px;
         padding-right: 2px;
         padding-top: 1px;
      }

      .ReportDataGrid TD {
         border-color: #D0D0C0;
      }

      .ReportDataGrid TH {
         border-color: #828282;
      }

   .ReportDataGridPrintView {
      border-collapse: collapse;
      border-color: #828282;
   }

      .ReportDataGridPrintView TD, .ReportDataGridPrintView TH {
         border-collapse: collapse;
         border-color: #D0D0C0;
         color: #000;
         padding-bottom: 1px;
         padding-left: 2px;
         padding-right: 2px;
         padding-top: 1px;
      }

   .ReportDataGridWithBorder {
      border: solid 2px #358087;
   }

      .ReportDataGridWithBorder TD, .ReportDataGridWithBorder TH {
         border-collapse: collapse;
         border-color: #828282;
         padding-bottom: 1px;
         padding-left: 2px;
         padding-right: 2px;
         padding-top: 1px;
      }

   .ReportIndent {
      padding-left: 20px;
   }

   .ReportHeaderCell {
      font-weight: bold;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 11px;
      color: #000;
      background-color: #4682B4;
   }

   .ReportPanel {
      border: 1px solid #828282;
      background: #F5F5F5;
      color: #000;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 11px;
      padding: 3px;
   }

   .ReportSubheadingCell {
      font-size: 11px;
      font-weight: bold;
      color: #000;
      background-color: #E4E4CB;
      padding-left: 5px;
      padding-right: 5px;
   }

   .Scroll {
      scrollbar-base-color: #4682B4;
   }

   .TxtBar {
      font-family: Arial, Helvetica, sans-serif;
      font-size: 12px;
      color: #000;
   }

   .WaterMarkTxtBox {
      background-color: #FFF;
      border: solid 1px #358087;
      color: #AAA;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 11px;
      font-style: italic;
      height: 15px;
      padding-left: 2px;
      padding-top: 2px;
   }

   .YL_Body {
      font-family: Arial, Helvetica, sans-serif;
      font-size: 12px;
      color: #000;
   }

   /* Note that YL_PageDisabled uses the same values as class GYLDisabled in Grid.css of the Young Life theme in TreeGrid.  The two should be consistent, except z-index. */
   .YL_PageDisabled {
      background: white;
      filter: alpha(opacity=50);
      height: 100%;
      left: 0;
      opacity: 0.5;
      position: absolute;
      top: 0;
      width: 100%;
      z-index: 9999;
   }
}
